Page MenuHomePhabricator

[IR] Simplify BasicBlock::removePredecessor. NFCI.
ClosedPublic

Authored by foad on May 18 2020, 9:50 AM.

Diff Detail

Event Timeline

foad created this revision.May 18 2020, 9:50 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 18 2020, 9:50 AM

This is less clear to me, since it's not clear to me what the original code is trying to do with all the special cases. LGTM, but I'm not an expert in this code.

foad updated this revision to Diff 264865.May 19 2020, 5:20 AM

Rebase.

lattner accepted this revision.May 19 2020, 8:59 AM

Very nice! Thank you for dusting off this old code

This revision is now accepted and ready to land.May 19 2020, 8:59 AM
This revision was automatically updated to reflect the committed changes.
foad reopened this revision.May 20 2020, 12:10 AM

Reverted in b42b30c335bccccca95470aa47dade2e25cb8994 due to buildbots failing tests:

test/Transforms/SimplifyCFG/bug-25299.ll
test/Transforms/SimplifyCFG/invoke_unwind.ll
This revision is now accepted and ready to land.May 20 2020, 12:10 AM
This revision was automatically updated to reflect the committed changes.